#include "led.h"

void led_init(uint16_t led)
{
    GPIO_InitTypeDef GPIO_InitStruct;

    __HAL_RCC_GPIOA_CLK_ENABLE();
    GPIO_InitStruct.Mode  = GPIO_MODE_OUTPUT_PP;
    GPIO_InitStruct.Pull  = GPIO_PULLUP;
    GPIO_InitStruct.Speed = GPIO_SPEED_FREQ_LOW;
    GPIO_InitStruct.Pin = led;
    HAL_GPIO_Init(LED_PORT, &GPIO_InitStruct);
}

void led_off(uint16_t led)
{
    HAL_GPIO_WritePin(LED_PORT, led, GPIO_PIN_SET);
}

void led_on(uint16_t led)
{
    HAL_GPIO_WritePin(LED_PORT, led, GPIO_PIN_RESET);
}

void led_toggle(uint16_t led)
{
    HAL_GPIO_TogglePin(LED_PORT, led);
}
